from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class DataType(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class InputParameterDescription(_message.Message):
    __slots__ = ["data_type", "name"]
    DATA_TYPE_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    data_type: DataType
    name: ParameterName
    def __init__(self, data_type: _Optional[_Union[DataType, _Mapping]] = ..., name: _Optional[_Union[ParameterName, _Mapping]] = ...) -> None: ...

class JsonEncodedValue(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class OutputParameterDescription(_message.Message):
    __slots__ = ["data_type", "name"]
    DATA_TYPE_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    data_type: DataType
    name: ParameterName
    def __init__(self, data_type: _Optional[_Union[DataType, _Mapping]] = ..., name: _Optional[_Union[ParameterName, _Mapping]] = ...) -> None: ...

class ParameterName(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class ReportInfo(_message.Message):
    __slots__ = ["input_parameters", "name", "output_parameters"]
    INPUT_PARAMETERS_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    OUTPUT_PARAMETERS_FIELD_NUMBER: _ClassVar[int]
    input_parameters: _containers.RepeatedCompositeFieldContainer[InputParameterDescription]
    name: ReportName
    output_parameters: _containers.RepeatedCompositeFieldContainer[OutputParameterDescription]
    def __init__(self, name: _Optional[_Union[ReportName, _Mapping]] = ..., input_parameters: _Optional[_Iterable[_Union[InputParameterDescription, _Mapping]]] = ..., output_parameters: _Optional[_Iterable[_Union[OutputParameterDescription, _Mapping]]] = ...) -> None: ...

class ReportName(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class Table(_message.Message):
    __slots__ = ["header", "rows"]
    class FieldDescription(_message.Message):
        __slots__ = ["data_type", "name"]
        DATA_TYPE_FIELD_NUMBER: _ClassVar[int]
        NAME_FIELD_NUMBER: _ClassVar[int]
        data_type: DataType
        name: str
        def __init__(self, data_type: _Optional[_Union[DataType, _Mapping]] = ..., name: _Optional[str] = ...) -> None: ...
    class Header(_message.Message):
        __slots__ = ["field_descriptions"]
        FIELD_DESCRIPTIONS_FIELD_NUMBER: _ClassVar[int]
        field_descriptions: _containers.RepeatedCompositeFieldContainer[Table.FieldDescription]
        def __init__(self, field_descriptions: _Optional[_Iterable[_Union[Table.FieldDescription, _Mapping]]] = ...) -> None: ...
    class JsonEncodedFields(_message.Message):
        __slots__ = ["value"]
        VALUE_FIELD_NUMBER: _ClassVar[int]
        value: str
        def __init__(self, value: _Optional[str] = ...) -> None: ...
    HEADER_FIELD_NUMBER: _ClassVar[int]
    ROWS_FIELD_NUMBER: _ClassVar[int]
    header: Table.Header
    rows: _containers.RepeatedCompositeFieldContainer[Table.JsonEncodedFields]
    def __init__(self, header: _Optional[_Union[Table.Header, _Mapping]] = ..., rows: _Optional[_Iterable[_Union[Table.JsonEncodedFields, _Mapping]]] = ...) -> None: ...
